DistributionPlugin (Gradle API 2.14.1)

org.gradle.api.distribution.plugins

## Class DistributionPlugin

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.api.distribution.plugins.DistributionPlugin

- All Implemented Interfaces:
    GroovyObject, Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class DistributionPlugin
      extends GroovyObjectSupport
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A `Plugin` to package project as a distribution.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAIN_DISTRIBUTION_NAME` Name of the main distribution
    `static String` | `TASK_INSTALL_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributionPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Task` | `addTarTask(Project project, Distribution distribution)`
    `Task` | `addZipTask(Project project, Distribution distribution)`
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAIN_DISTRIBUTION_NAME

          public static final String MAIN_DISTRIBUTION_NAME

      Name of the main distribution
      See Also:
        Constant Field Values

    - #### TASK_INSTALL_NAME

          public static final String TASK_INSTALL_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributionPlugin

          @Inject
          public DistributionPlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                   org.gradle.api.internal.file.FileOperations fileOperations)

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object

    - #### addZipTask

          public Task addZipTask(Project project,
                        Distribution distribution)

    - #### addTarTask

          public Task addTarTask(Project project,
                        Distribution distribution)